## org.apache.poi.hwpf.usermodel
Class ShadingDescriptor

    java.lang.Object
      org.apache.poi.hwpf.model.types.SHDAbstractType
          org.apache.poi.hwpf.usermodel.ShadingDescriptor

All Implemented Interfaces:
  java.lang.Cloneable

    public final class ShadingDescriptor

extends SHDAbstractType
implements java.lang.Cloneable

The SHD is a substructure of the CHP, PAP, and TC for Word 2000.

Author:
  vlsergey

Field Summary

Fields inherited from class org.apache.poi.hwpf.model.types.SHDAbstractType
`field_1_cvFore, field_2_cvBack, field_3_ipat`

Constructor Summary
`ShadingDescriptor()`
`ShadingDescriptor(byte[] buf, int offset)`

Method Summary
`ShadingDescriptor` `clone()`
`boolean` `isEmpty()`
`byte[]` `serialize()`
`java.lang.String` `toString()`

Methods inherited from class org.apache.poi.hwpf.model.types.SHDAbstractType
`fillFields, getCvBack, getCvFore, getIpat, getSize, serialize, setCvBack, setCvFore, setIpat`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShadingDescriptor

    public ShadingDescriptor()

### ShadingDescriptor

    public ShadingDescriptor(byte[] buf,
                             int offset)

Method Detail

### clone

    public ShadingDescriptor clone()
                            throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

### isEmpty

    public boolean isEmpty()

### serialize

    public byte[] serialize()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SHDAbstractType`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.